• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

UML version for Exam Part I

 
AnaB SuarezF
Greenhorn
Posts: 14
  • 0
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hey guys,

can anyone thell me which UML version is it necesary for the Multiple Choice Exam part I?
 
Deepak Pant
Ranch Hand
Posts: 446
  • 0
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I think it is UML 2.0
 
Theodore Casser
Ranch Hand
Posts: 1902
Hibernate Netbeans IDE PHP
  • 0
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Given the age of the exam, if I am recalling correctly, it's UML 1.1. (The rest of the technologies on the Part I exam are based on J2EE 1.3, which includes EJB 1.1., and at the time, UML 1.1 was the standard. You can, however, use any general-released version of Java EE and UML for Part II.)
 
Henrique Ordine
Ranch Hand
Posts: 128
  • 0
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Yes, UML 1.1 is correct. I was reading UML Distilled by Martin Fowler and he says UML 1.1 had a feature allowed you to use commas (,) in the multiplicity of associations, and that this feature has been removed in UML 2.0. I also remember a question in the Whizlabs simulator which was addressing exactly that, a comma in a multiplicity.
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic